import request from '@/utils/request'

//新增业务价格
export function add(data) {
  return request({
    url: '/core/business/price',
    method: 'post',
    data: data
  })
}
//修改业务价格
export function update(data) {
  return request({
    url: '/core/business/price',
    method: 'put',
    data: data
  })
}
//查询业务价格列表
export function list(query) {
  return request({
    url: '/core/business/price/list',
    method: 'get',
    params: query
  })
}
// 删除用户账户
export function delPrice(businessPriceIds) {
  return request({
    url: '/core/business/price/' + businessPriceIds,
    method: 'delete'
  })
}
// 查询用户账户详细
export function details(businessPriceId) {
  return request({
    url: '/core/business/price/' + businessPriceId,
    method: 'get'
  })
}

//查询所有业务列表(树形结构)
export function getTreeList(query) {
    return request({
      url: '/core/business/management/getTreeList',
      method: 'get',
      params: query
    })
  }